/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  a GeneratePress child theme
 Author:       Maximilian Kroth (tMaex.com)
 Author URI:   https://tmaex.com/dev/gp-child
 Template:     generatepress
 Version:      0.0.4
*/

@font-face {
  font-display: swap;
  font-family: 'Inter';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/Inter-Regular.woff2') format('woff2');
	}
@font-face {
  font-display: swap;
  font-family: 'Inter';
  font-style: normal;
  font-weight: 500;
  src: url('fonts/Inter-Medium.woff2') format('woff2');
	}
@font-face {
  font-display: swap;
  font-family: 'Inter';
  font-style: normal;
  font-weight: 600;
  src: url('fonts/Inter-SemiBold.woff2') format('woff2');
	}
@font-face {
  font-display: swap;
  font-family: 'Inter';
  font-style: normal;
  font-weight: 800;
  src: url('fonts/Inter-Bold.woff2') format('woff2');
	}

/* MK keine Scrolleiste unten */
body {
    overflow-x: hidden;
}

/* MK Hauptmenü / Abstand Menüpunkt zu Pfeil*/
.menu-item-has-children .dropdown-menu-toggle {
	padding-left: 2px;
}

/* SW Bildtitel bei Hover entfernen */
img[title] {
    pointer-events: none;
}
/* SW Link-Unterstreichung entfernen */
a {
    text-decoration: none !important;
}

/* SW Mobile Logo Size */
@media (max-width: 768px) {
	.header-image.is-logo-image {
		width: 270px;
	}
}
/* Menü Kontaktbutton sytlen */
#menu-item-27 a {
    border: 2px solid; 
    border-radius: 30px;
    padding-top: 12px !important;    
    padding-bottom: 12px!important;  
    padding-left: 25px; 
    padding-right: 25px; 
    display: inline-block; 
}

/* Menü Kontaktbutton Abstand nach oben optimieren */
@media (min-width: 769px) {
    #menu-item-27 {
        transform: translateY(-30px);
    }
}
/* Page-Hero mobil weniger hoch */
@media (max-width: 768px) {
    .page-hero {
        min-height: 87vh !important;
        height: 87vh !important; 
    }
}
/* Page-Hero auf Mobilgeräten auf 70vh begrenzen */
@media (max-width: 768px) {
    .vp-portfolio__items {
        display: grid !important;
        grid-template-columns: repeat(2, 1fr) !important; 
        gap: 10px !important; 
        height: auto !important; 
    }
    .vp-portfolio__item-wrap {
        position: relative !important;
        top: auto !important;
        left: auto !important;
        width: 100% !important;
        height: auto !important;
        transform: none !important;
    }
    .vp-portfolio__item-wrap:nth-child(n+7) {
        display: none !important;
    }
}